package UroIrmPackage;

public interface UroIrmMessage { 

 public static final String LANGUAGE 			= "ENGLISH";
 public static final String ACQTPS	 		= "acq time";
 public static final String ACQTPSSEC 			= "acq time(sec)";
 public static final String NSLICE 			= "n(Slice)";
 public static final String CTPSsec	 		= "time(sec)";
 public static final String CTPSmin 			= "time(min)";
 public static final String CTPShour 			= "time(hour)";
 public static final String CNB 				= "nb(Slice)";
 public static final String CINT 				= "Mean gray";
 public static final String THERE_ARE 			= "There are " ;
 public static final String THERE_IS 			= "There is ";
 public static final String THERE_IS_ARE		= "There is/are";
 public static final String END_NB_POINT	 	= " points on this plot :  ";
 public static final String POINT_DELETED  		= " points deleted  ";
 public static final String NONE_POINT 			= " NONE point deleted ";
 public static final String COMMENT_ZOOM 		= "for zooming : please select with the mouse an area of the plot what you want to see";
 public static final String comment_old_zoom 		= "";
 public static final String TITLE_OptionGraph 	= "URO-IRM : Option Graph ... ";
 public static final String NONE_POINT_SELECTED 	= " none point selected ";
 public static final String GRAY8				= "Gray8 ";
 public static final String GRAY16			= "Gray16";
 public static final String GRAY32			= "Gray32";
 public static final String COLOR_256			= "Color8";
 public static final String RGB				= " RGB ";
 public static final String NONE				= "none ";
 public static final String NB_IMAGE			= "  * number of image: " ;
 public static final String ONE_STACK			= "one stack : \n";
 public static final String ADD				= "add";
 public static final String DELETE			= "delete";
 public static final String OPEN				= "open";
 public static final String OPENALL			= "open all";
 public static final String SAVE_ROI			= "save ROI";
 public static final String SAVE_IMAGE_ROI		= "save Image of ROI";
 public static final String SAVE_EXAMEN			= "save Examen";
 public static final String MEASURE			= "measure";
 public static final String RENAME			= "rename";
 public static final String UROIRM			= "UroIrmGraph";
 public static final String NO 				= " no    : ";
 public static final String YES 				= " YES   : ";
 public static final String UNKNOWN			= "unkown";
 public static final String DATE_TYPE			= "day/month/year";
 public static final String IMAGE_WITH			= " image(s) with";
 public static final String INFORMATION			= "stack information : ";
 public static final String ROI_NAME			= " Roi name : ";
 public static final String ERASE				= " -> DELETED ";
 public static final String SAVE				= " save :";

 public static final String msg_select_file		= "Select a file in the folder...";

// question message
 public static final String msg_question_give_name	="Give a name";
 public static final String msg_question_save_result= " Save the points of the plot ?";
 public static final String msg_question_save_rep_roi = "Please give the directory in \n which the exam will be saved";

// comments message
 public static final String msg_comm_first_evaluation =" Give the first point ";
 public static final String msg_comm_second_evaluation=" Give the SECOND point ";
 public static final String msg_comm_evaluation 	= "The value of the aire is : ";
 public static final String msg_comm_result_evaluation =" The results of the evaluations";
 public static final String msg_comm_evaluation_point1 = " first point";
 public static final String msg_comm_evaluation_point2 = " second point";
 public static final String msg_comm_evaluation_res = " the result";
 public static final String msg_comm_nb_image		="Number of images to study";
 public static final String msg_comm_no_point_selected = "No point selected : Choose one ";
 public static final String msg_comm_no_point 	= "There is no point delete : nothing will be done";
 public static final String msg_comm_no_point_found = " point to be deleted not found";
 public static final String msg_comm_start 		= "Start to : ";
 public static final String msg_comm_preferencies 	= "Preferencies ";
 public static final String msg_comm_option_graph 	= "Option to display : ";
 public static final String msg_comm_end_stack 	= " stacks : ( NB = number of images)\n";
 public static final String msg_comm_open_diff 	= "Different Points : given by \n NB";
 public static final String msg_comm_open_comm 	= "Commum Points : \n";
 public static final String msg_comm_explicatif 	= " Choose the information about the Dicom image \n";
 public static final String msg_comm_type		= "The type chosen is  :";
 public static final String msg_comm_selected_element = " element(s) selected";
 public static final String msg_comm_confidentiel	= " Stack confidentiel ( patient's name no visible )";

//errorMessage
 public static final String msg_err_prgm		= "Computing Error ";
 public static final String msg_err_null_pointer   	= "Null pointeur";
 public static final String msg_err_zoom_small_dim 	= " The area selected is too small . " ;
 public static final String msg_err_dimScale		= "The scale dimension are wrong.";
 public static final String msg_err_invalide_zoom 	= "The value of the zoom is uncorrect. \n the new scale and zoom will be canceled ";
 public static final String msg_err_NFE 		= "The type isn' t an integer";
 public static final String msg_err_anormal_time	= "The time isn't normal";
 public static final String msg_err_champ		= "The value was not found";
 public static final String msg_err_entete		= "There isn't any header in the image" ;
 public static final String msg_err_roi_list_empty	= "The ROI list is empty.";
 public static final String msg_err_too_much_roi_selected = "There must be only ONE Roi selected.";
 public static final String msg_err_name_exists 	= "the name existe already";
 public static final String msg_err_pb_write 		= "Problem for writting in a file";
 public static final String msg_err_no_data_save 	= "The data won't be saved.";
 public static final String msg_err_minmax 		= " Invalide scale. the default scale will be loaded";
 public static final String msg_err_format 		= " This is not a DICOM image.";
 public static final String msg_err_key_field_title = " UNICITY ERROR ";
 public static final String msg_err_key_field_part1 = " images that the following data were not found \n or are uncorrect : \n ";
 public static final String msg_err_key_field_part2 = " Without these data, the program isn't sure that \n all these images come from the same examen. \n Do you still want to continue and ignore these data ?";
 public static final String msg_err_no_measure 	= " There must be at least 2 measures";
 public static final String msg_err_no_image 		= "There are no images open.";
 public static final String msg_err_no_stack 		= "There must be at least a stack of 2 images ";
 public static final String msg_err_no_roi 		= "NO Roi on the image \n please select a Roi.\n";
 public static final String msg_err_no_roi_measure	= " No result of a Roi mesure\n Select a Roi \n";
 public static final String msg_err_no_roi_selected	= "At least one ROI in the list must be selected.";
 public static final String msg_err_no_key 		= "There is no keys. ";
 public static final String msg_err_value_erroneous	= "THE ERRONEOUS VALUE ARE : ";
 public static final String msg_err_compression_jpeg= " Problem during the compression in Jpeg";
}
